<template>
  <v-container>
    <div class="mt-5">
      <v-card class="my-5">
        <v-carousel
          hide-delimiter-background
          show-arrows-on-hover
        >
          <v-carousel-item
            v-for="(item, i) in items"
            :key="i"
            :src="item.src"
          ></v-carousel-item>
        </v-carousel>
      </v-card>
      <Card />
      <ChartView />
      <!-- <Gmaps class="mt-5" /> -->
      <v-row class="mt-5">
        <v-col cols="7">
          <v-card>
            <Gmaps />
          </v-card>
        </v-col>
        <v-col cols="5">
          <v-card>
            <Barchart />
          </v-card>
        </v-col>
      </v-row>
    </div>
  </v-container>
</template>

<script>
import ChartView from "./components/ChartView";
import Gmaps from "./components/Gmaps";
import Card from "./components/Card";
import Barchart from "./components/Barchart";
export default {
  name: "Dashboard",
  components: {
    ChartView,
    Card,
    Barchart,
    Gmaps
  },
  data() {
    return {
      items: [
        {
          src: "https://1.bp.blogspot.com/-VBPBN57RFoA/XuD6DB6-vqI/AAAAAAAACdM/mhBZgBxCNSMszZyaQ7TffvXg5wMJgqeFACLcBGAsYHQ/s1600/5eb5323680159_1588933174.png"
        },
        {
          src: "https://cdn.vuetifyjs.com/images/carousel/sky.jpg"
        },
        {
          src: "https://cdn.vuetifyjs.com/images/carousel/bird.jpg"
        },
        {
          src: "https://cdn.vuetifyjs.com/images/carousel/planet.jpg"
        }
      ]
    };
  }
};
</script>
